%define release 29mdk
%define version 2.7

Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	%{version}
Release:	%{release}
Group:		Development/Other
Source:		ftp://ftp.gnu.org/pub/gnu/diffutils-2.7.tar.bz2
Source1:	%{name}-manpages.tar.bz2
Patch0:		diffutils-2.7.info.patch.bz2
Patch1:		http://wire.cadcamlab.org/misc/diffutils-2.7-k-opt.patch.bz2
Patch2:		diffutils-2.7-immunix-owl-tmp.patch.bz2
License:	GPL
Prefix:		%{_prefix}
Prereq:		/sbin/install-info
Buildroot:	%{_tmppath}/%{name}-root

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to merge two files interactively.

Install diffutils if you need to compare text files.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .tmpfile

%build
autoconf
%configure
make PR_PROGRAM=%{_prefix}/bin/pr
make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

install -d -m755 %{buildroot}%{_mandir}/man1
bzcat %SOURCE1|tar xf - -C %{buildroot}%{_mandir}/man1/
#rm -f %{buildroot}%{_mandir}/man1/diff.1

%post 
%_install_info diff.info

%preun
%_remove_install_info diff.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/diff.info*

%changelog
* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7-29mdk
- Sanity rebuild for 8.1.
- Run make check.
- s/Copyright/License/;

* Tue May 15 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7-28mdk
- Minor cosmetic changes to the diff.1 manual page (chmou).

* Thu Apr 19 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.7-27mdk
- put diff.1.bz2 back in since man-pages doesn't supply it anymore

* Wed Jan 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.7-26mdk
- fix conflict with man-pages (diff.1.bz2)

* Wed Jan 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.7-25mdk
- security fix for insecure tempfiles

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.7-24mdk
- Update manpages.
- Add updated patch for -k options.

* Fri Nov 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.7-23mdk
- Add -k option to get a default suffix (Peter Samuelson <peter@cadcamlab.org>).

* Tue Sep 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.7-22mdk
- really fix the info page (pxlscks).

* Fri Sep  1 2000 Pixel <pixel@mandrakesoft.com> 2.7-21mdk
- fix info page

* Wed Jul 26 2000 David BAUDENS <baudens@mandrakesoft.com> 2.7-20mdk
- Human readable description

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7-19mdk
- BM
- major spec simplification

* Thu Apr 4 2000 Denis Havlik <denis@mandrakesoft.com> 2.7-18mdk
- new group: Development/Other
- spechelper conform

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr.

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- listing man-pages in %files.

* Fri Apr  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- add man pages (#831).
- add %configure and Prefix.

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul 14 1998 Bill Kawakami <billk@home.com>
- included the four man pages stolen from Slackware

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun May 03 1998 Cristian Gafton <gafton@redhat.com>
- fixed spec file to reference/use the $RPM_BUILD_ROOT always

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed where it looks for 'pr' (/usr/bin, rather than /bin)

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
